## lv2-c++-tools 1.0.3

=== Makefile ===
PACKAGE_NAME = lv2-c++-tools
PACKAGE_VERSION = 1.0.3
PKG_DEPS = gtkmm-2.4>=2.8.8

ARCHIVES = liblv2-plugin.a liblv2-gui.a libpaq.a
LIBRARIES = libpaq.so
PROGRAMS = lv2peg
DATAPACKS = lv2soname

# The static plugin library with headers
liblv2-plugin_a_SOURCES = lv2plugin.cpp
liblv2-plugin_a_HEADERS = \
	lv2plugin.hpp \
	lv2synth.hpp \
	../../headers/lv2.h \
	../../headers/lv2_event.h \
	../../headers/lv2_event_helpers.h \
	../../headers/lv2_osc.h \
	../../headers/lv2_uri_map.h \
	../../headers/lv2_saverestore.h \
	../../headers/lv2_contexts.h \
	../../headers/lv2types.hpp
liblv2-plugin_a_CFLAGS = -Iheaders -Ilibraries/lv2plugin
liblv2-plugin_a_SOURCEDIR = libraries/lv2plugin
liblv2-plugin_a_INSTALLDIR = $(libdir)

# The static GUI library with headers
liblv2-gui_a_SOURCES = lv2gui.cpp
liblv2-gui_a_HEADERS = \
	lv2gui.hpp \
	../../headers/lv2_ui.h \
	../../headers/lv2_ui_presets.h
liblv2-gui_a_CFLAGS = `pkg-config --cflags gtkmm-2.4` -Iheaders
liblv2-gui_a_SOURCEDIR = libraries/lv2gui
liblv2-gui_a_INSTALLDIR = $(libdir)

# The static version of PAQ
libpaq_a_SOURCES = turtleparser.cpp rdf.cpp query.cpp
libpaq_a_SOURCEDIR = libraries/paq
libpaq_a_INSTALLDIR = $(libdir)

# The shared version of PAQ
libpaq_so_ABI = 0
libpaq_so_ARCHIVES = libraries/paq/libpaq.a
libpaq_so_HEADERS = turtleparser.hpp rdf.hpp query.hpp unicode.hpp namespaces.hpp
libpaq_so_SOURCEDIR = libraries/paq

# lv2peg
lv2peg_SOURCES = lv2peg.cpp
lv2peg_CFLAGS = -Ilibraries/paq -DVERSION=\"$(PACKAGE_VERSION)\"
lv2peg_LIBRARIES = libraries/paq/libpaq.so
lv2peg_SOURCEDIR = programs/lv2peg

# lv2soname
lv2soname_FILES = lv2soname
lv2soname_SOURCEDIR = programs/lv2soname
lv2soname_INSTALLDIR = $(bindir)

# extra files
DOCS = COPYING AUTHORS README ChangeLog
PCFILES = lv2-plugin.pc lv2-gui.pc paq.pc
EXTRA_DIST = Doxyfile


# Do the magic
include Makefile.template

=== debian/changelog ===
lv2-c++-tools (1.0.3-3) unstable; urgency=medium

  * libpaq must provide all symbols brought by
    liblv2-{gui,plugin}.a (Closes: #592061).
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 Aug 2010 16:05:55 +0200

lv2-c++-tools (1.0.3-2) unstable; urgency=low

  * Switch to format 3.0 (quilt).
  * libpaq-dev depends on libgtkmm-2.4-dev.
  * Add .gitignore file
  * Add debian/gbp.conf file.
  * Install paq.pc only since we don't provide lv2-{gui,plugin} static
    libraries.
  * libpaq-dev must depend on gtkmm-2.4.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Jun 2010 12:11:46 +0200

lv2-c++-tools (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #581419)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 12 May 2010 21:51:12 +0200

=== debian/control ===
Source: lv2-c++-tools
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 fakeroot,
 doxygen,
 libatk1.0-dev,
 libcairo2-dev,
 libcairomm-1.0-dev,
 libdirectfb-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libglib2.0-0,
 libgtkmm-2.4-dev,
 libboost-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2-tools.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2-tools.git
Homepage: http://ll-plugins.nongnu.org/hacking.html

Package: lv2-c++-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libpaq0
Description: tools for LV2 plugins
 These are some tools and libraries that may come in handy
 when writing LV2 plugins in C++.
 .
 This package contains binaries lv2peg and lv2soname
 .
 lv2peg is a program that generates C header files from
 Turtle files containing LV2 plugin data.
 .
 lv2soname is a program that generate the RDF triples needed to tell hosts
 that the library with that soname must never be unloaded even after your plugin
 GUI library has been unloaded.

Package: libpaq0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: libraries for LV2 plugins
 These are some tools and libraries that may come in handy
 when writing LV2 plugins in C++.
 .
 libpaq is a LIBrary for Parsing And Querying RDF data in Turtle format.
 .
 liblv2-plugin is a C++ library that you can use to write LV2 plugins
 by inheriting from a plugin base class and overriding
 a small number of functions.
 .
 liblv2-gui is a C++ library that you can use to write LV2 plugin GUIs.

Package: libpaq-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libgtkmm-2.4-dev,
 libpaq0 (= ${binary:Version})
Suggests: lv2-c++-tools-doc
Description: lv2-c++-tools development files
 some tools and libraries that may come in handy
 when writing LV2 plugins in C++.
 .
 This package contains all necessary files
 for development with lv2-c++-tools.

Package: lv2-c++-tools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: lv2-c++-tools documentation
 Complete HTML documentation for lv2-c++-tools
 .
 These documents describes some C++ classes
 that may be of use if you want to write LV2 plugins in C++.

## lv2-c++-tools 1.0.4

=== debian/changelog ===
lv2-c++-tools (1.0.4-3) unstable; urgency=low

  * Install all missing headers.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Mar 2011 12:46:24 +0100

lv2-c++-tools (1.0.4-2) unstable; urgency=low

  * Re-introduce static objects lv2-{gui,plugin}.
    After a brief chat with Lars on IRC, we realize that it is
    unappropriate to go on diverging from upstream build strategies.
    So, I am re-introducing the static objects lv2-{gui,plugin} in
    order to avoid breakage with some LV2 hosts.
  * Change section of lv2-c++-tools to libdevel.
  * Re-write packages descriptions.
  * Set Breaks/Replaces fields properly, since some files have moved
    from libpaq-dev to lv2-c++-tools.
  * Add Suggests: lv2-c++-tools-doc on lv2-c++-tools.

 -- Alessio Treglia <alessio@debian.org>  Wed, 23 Mar 2011 10:50:07 +0100

lv2-c++-tools (1.0.4-1) unstable; urgency=low

  * New upstream release:
    - Fixed bug in LV2::Synth that made all synth plugins require the
      event refcounting feature.
  * Small fix to doc-base control file.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 Feb 2011 15:07:00 +0100

=== debian/control ===
--- 
+++ 
@@ -22,40 +22,45 @@
 Homepage: http://ll-plugins.nongnu.org/hacking.html
 
 Package: lv2-c++-tools
-Section: utils
+Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libpaq0
-Description: tools for LV2 plugins
+Breaks: libpaq0 (<= 1.0.4-1)
+Replaces: libpaq0 (<= 1.0.4-1)
+Suggests: lv2-c++-tools-doc
+Description: library and tools for LV2 plugins
  These are some tools and libraries that may come in handy
  when writing LV2 plugins in C++.
  .
- This package contains binaries lv2peg and lv2soname
+ The following static libraries are provided:
+  * liblv2-plugin is a C++ library that you can use to write LV2
+    plugins by inheriting from a plugin base class and overriding
+    a small number of functions.
+  * liblv2-gui is a C++ library that you can use to write LV2
+    plugin GUIs.
  .
- lv2peg is a program that generates C header files from
- Turtle files containing LV2 plugin data.
+ This package also contains the binaries lv2peg and lv2soname:
+  * lv2peg is a program that generates C header files from
+    Turtle files containing LV2 plugin data.
+  * lv2soname is a program that generate the RDF triples needed
+    to tell hosts that the library with that soname must never be
+    unloaded even after your plugin GUI library has been unloaded.
  .
- lv2soname is a program that generate the RDF triples needed to tell hosts
- that the library with that soname must never be unloaded even after your plugin
- GUI library has been unloaded.
+ This package provides runtime objects and development files.
 
 Package: libpaq0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Description: libraries for LV2 plugins
+Description: library for parsing and querying RDF data
  These are some tools and libraries that may come in handy
  when writing LV2 plugins in C++.
  .
- libpaq is a LIBrary for Parsing And Querying RDF data in Turtle format.
- .
- liblv2-plugin is a C++ library that you can use to write LV2 plugins
- by inheriting from a plugin base class and overriding
- a small number of functions.
- .
- liblv2-gui is a C++ library that you can use to write LV2 plugin GUIs.
+ This package provides libpaq, which is a LIBrary for Parsing And
+ Querying RDF data in Turtle format.
 
 Package: libpaq-dev
 Section: libdevel
@@ -64,7 +69,7 @@
  libgtkmm-2.4-dev,
  libpaq0 (= ${binary:Version})
 Suggests: lv2-c++-tools-doc
-Description: lv2-c++-tools development files
+Description: library for parsing and querying RDF data (header files)
  some tools and libraries that may come in handy
  when writing LV2 plugins in C++.
  .

## lv2-c++-tools 1.0.5

=== debian/changelog ===
lv2-c++-tools (1.0.5-2ubuntu1) xenial; urgency=low

  * Sync from Debian unstable.
  * Revert the rename of the library packages for the g++5 ABI transition,
    and add conflicts/replaces/provides against the renamed packages.  This
    delta can be dropped after the xenial release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Feb 2016 20:28:00 -0800

lv2-c++-tools (1.0.5-2) unstable; urgency=medium

  * Team upload
  * Remove myself from Uploaders

 -- Alessio Treglia <alessio@debian.org>  Thu, 18 Feb 2016 00:10:21 +0000

lv2-c++-tools (1.0.5-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 08:14:25 +0000

lv2-c++-tools (1.0.5-1) unstable; urgency=low

  * New upstream release (Closes: #720807).
  * Tune gitignore file to handle rather dir.
  * Added local-options file
  * Set dh/compat 9
  * Bump Standards
  * Fix VCS canonical URLs.
  * wrap-and-sort -a -s.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Aug 2013 22:38:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,41 @@
 Source: lv2-c++-tools
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends:
+ debhelper (>= 9),
+ doxygen,
  fakeroot,
- doxygen,
  libatk1.0-dev,
+ libboost-dev,
  libcairo2-dev,
  libcairomm-1.0-dev,
  libdirectfb-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libglib2.0-0,
- libgtkmm-2.4-dev,
- libboost-dev
-Standards-Version: 3.9.1
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2-tools.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2-tools.git
+ libgtkmm-2.4-dev
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lv2-tools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lv2-tools.git
 Homepage: http://ll-plugins.nongnu.org/hacking.html
 
 Package: lv2-c++-tools
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
+ libpaq0,
  ${misc:Depends},
- libpaq0
-Breaks: libpaq0 (<= 1.0.4-1)
-Replaces: libpaq0 (<= 1.0.4-1)
-Suggests: lv2-c++-tools-doc
+ ${shlibs:Depends}
+Breaks:
+ libpaq0 (<= 1.0.4-1)
+Replaces:
+ libpaq0 (<= 1.0.4-1)
+Suggests:
+ lv2-c++-tools-doc
 Description: library and tools for LV2 plugins
  These are some tools and libraries that may come in handy
  when writing LV2 plugins in C++.
@@ -53,8 +59,12 @@
 Package: libpaq0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Conflicts: libpaq0v5
+Replaces: libpaq0v5
+Provides: libpaq0v5
 Description: library for parsing and querying RDF data
  These are some tools and libraries that may come in handy
  when writing LV2 plugins in C++.
@@ -65,10 +75,12 @@
 Package: libpaq-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends},
+Depends:
  libgtkmm-2.4-dev,
- libpaq0 (= ${binary:Version})
-Suggests: lv2-c++-tools-doc
+ libpaq0 (= ${binary:Version}),
+ ${misc:Depends}
+Suggests:
+ lv2-c++-tools-doc
 Description: library for parsing and querying RDF data (header files)
  some tools and libraries that may come in handy
  when writing LV2 plugins in C++.
@@ -79,7 +91,8 @@
 Package: lv2-c++-tools-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: lv2-c++-tools documentation
  Complete HTML documentation for lv2-c++-tools
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_auto_build:
	dh_auto_build
	doxygen

override_dh_auto_clean:
	$(MAKE) clean
	rm -f Makefile.deps
	dh_clean
